%global commit 528a59f26d12278698bb946f8fb82a63711eec21
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-colors-solarized
Version:        20110509
Release:        3%{?dist}
Summary:        Precision colorscheme for the vim text editor

License:        MIT
URL:            https://github.com/altercation/vim-colors-solarized
Source0:        %{url}/archive/master/%{name}-%{version}-git%{shortcommit}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-colors-solarized.metainfo.xml

# MIT license
Source2:        LICENSE

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

Requires:       vim

%description
Precision colorscheme for the Vim text editor.


%prep
%autosetup -n %{name}
cp %{SOURCE2} .

%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {colors,doc} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.mkd
%license LICENSE
%doc %{vimfiles_root}/doc/*
%{vimfiles_root}/colors/solarized.vim
%{_metainfodir}/vim-colors-solarized.metainfo.xml


%changelog
* Mon Jun 03 2024 Patrick Laimbock <patrick@laimbock.com> - 20110509-3
- add date to source

* Sun Jun 02 2024 Patrick Laimbock <patrick@laimbock.com> - 20110509-2
- rebuild for F40

* Sat Apr 15 2023 Patrick Laimbock <patrick@laimbock.com> - 20110509-1
- initial package based on git commit 528a59f26d12278698bb946f8fb82a63711eec21

